module command.remote.garagedoorupcommand;

import command.remote.command;
import command.remote.garagedoor;

class GarageDoorUpCommand : Command
{
    GarageDoor garageDoor;

    this(GarageDoor garageDoor)
    {
        this.garageDoor = garageDoor;
    }

    override void execute()
    {
        garageDoor.up();
    }
}
